Update process.sh

This commit is contained in:
Sharon NILM 2013-08-02 23:18:32 -04:00
parent dc26e32b6e
commit dd69f3e51d

View File

@ -13,16 +13,20 @@ if ! flock -n -x 99 ; then
fi
trap 'rm -f "$LOCKFILE"' 0
# sinefit on phase A voltage
# redirect stdout/stderr to log, but keep it on the console too
exec > >(tee /home/nilm/data/process.log)
exec 2> >(tee -a /home/nilm/data/process.log >&2)
echo "sinefit on phase A voltage"
nilm-sinefit -c 5 /sharon/raw /sharon/sinefit
# prep on A, B, C with appropriate rotations
echo "prep on A, B, C with appropriate rotations"
nilm-prep -c 1 -r 0 /sharon/raw /sharon/sinefit /sharon/prep-a
nilm-prep -c 2 -r 120 /sharon/raw /sharon/sinefit /sharon/prep-b
nilm-prep -c 3 -r 240 /sharon/raw /sharon/sinefit /sharon/prep-c
# decimate raw and prep data
echo "decimate raw and prep data"
nilm-decimate-auto /sharon/raw /sharon/prep*
# run cleanup
echo "run cleanup"
nilm-cleanup --yes /home/nilm/data/cleanup.cfg